Wt: Wt::WVectorImage Class Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Wt::WVectorImage Class Referenceabstract
Painting system

An abstract paint device for rendering using native vector graphics. More...

`#include <Wt/WVectorImage.h>`

Inheritance diagram for Wt::WVectorImage:
[legend]

## Public Member Functions
virtual std::string | rendered ()=0
| Internal method.
Public Member Functions inherited from Wt::WPaintDevice
virtual | ~WPaintDevice ()
| Destructor.
virtual WFlags< PaintDeviceFeatureFlag > | features () const =0
| Returns device features.
virtual WLength | width () const =0
| Returns the device width.
virtual WLength | height () const =0
| Returns the device height.
virtual void | setChanged (WFlags< PainterChangeFlag > flags)=0
| Indicates changes in painter state.
virtual void | drawArc (const WRectF &rect, double startAngle, double spanAngle)=0
| Draws an arc.
virtual void | drawImage (const WRectF &rect, const std::string &imageUri, int imgWidth, int imgHeight, const WRectF &sourceRect)=0
| Draws an image.
virtual void | drawLine (double x1, double y1, double x2, double y2)=0
| Draws a line.
virtual void | drawPath (const WPainterPath &path)=0
| Draws a path.
virtual void | drawRect (const WRectF &rectangle)=0
| Draws a rectangle.
virtual void | drawText (const WRectF &rect, WFlags< AlignmentFlag > alignmentFlags, TextFlag textFlag, const WString &text, const WPointF *clipPoint)=0
| Draws text.
virtual WTextItem | measureText (const WString &text, double maxWidth=-1, bool wordWrap=false)=0
| Measures rendered text size.
virtual WFontMetrics | fontMetrics ()=0
| Returns font metrics.
virtual void | init ()=0
| Initializes the device for painting.
virtual void | done ()=0
| Finishes painting on the device.
virtual bool | paintActive () const =0
| Returns whether painting is active.

## Additional Inherited Members
Public Types inherited from Wt::WPaintDevice
typedef PaintDeviceFeatureFlag | FeatureFlag
| Typedef for enum Wt::PaintDeviceFeatureFlag.
Protected Member Functions inherited from Wt::WPaintDevice
virtual WPainter * | painter () const =0
| Returns the painter that is currently painting on the device.
virtual void | setPainter (WPainter *painter)=0
| Sets the painter.

## Detailed Description

An abstract paint device for rendering using native vector graphics.